## GESVideoSource GESVideoSource — Base Class for video sources |

## Synopsis

    #include <ges/ges.h>

                        GESVideoSource;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESSource
                               +----GESVideoSource
                                     +----GESVideoUriSource
                                     +----GESImageSource
                                     +----GESTitleSource
                                     +----GESVideoTestSource

## Implemented Interfaces

GESVideoSource implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESVideoSource

    typedef struct _GESVideoSource GESVideoSource;

Base class for video sources